﻿using System.Diagnostics;
using System.Windows;
using DataSource;
using Infragistics.Controls.Grids;

namespace ButtonsInColumn
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            Loaded += MainWindow_Loaded;
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            XamGrid xamGrid = new XamGrid
            {
                AutoGenerateColumns = false,
                ItemsSource = DataUtil.Products
            };

            TextColumn productNameColumn = new TextColumn { Key = "ProductName" };
            xamGrid.Columns.Add(productNameColumn);

            var buttonTemplate = this.Resources["CustomButtonTemplate"] as DataTemplate;
            UnboundColumn unboundButtonColumn = new UnboundColumn
            {
                Key = "ButtonColumn",
                ItemTemplate = buttonTemplate
            };
            xamGrid.Columns.Add(unboundButtonColumn);

            Root.Children.Add(xamGrid);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Debug.WriteLine("Button Clicked!");
        }
    }
}
